/**
 * @file placement_stats.h
 *
 * @brief Placement statistics functions (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: placement_stats.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef PLACEMENT_STATS_H
#define PLACEMENT_STATS_H

#include "../types.h"
#include "../service/service_types.h"
#include "placement_types.h"

void alloc_stats(SP_SERVICE_service_t* service);
void free_stats(SP_SERVICE_service_t* service);
void stat_service_request(SP_SERVICE_service_t* service, SP_addr_t from, SP_addr_t last_hop, u_int8_t hops, size_t size);

#endif	// PLACEMENT_STATS_H
