/**
 * @file placement_vars.h
 *
 * @brief Placement (variables).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: placement_vars.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef PLACEMENT_VARS_H
#define PLACEMENT_VARS_H

#include "../types.h"
#include "placement_types.h"
#include "../vars.h"



/**
 * @brief Numeric identifier of the currently active placement algorithm.
 */
u_int8_t SP_PLACEMENT_active_algorithm;

#endif	// PLACEMENT_VARS_H
