/**
 * @file callback.h
 *
 * @brief Callback functions (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: callback.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef UTIL_CALLBACK_H
#define UTIL_CALLBACK_H

#include "../types.h"

void callback_add(SP_callback_function_t function, SP_callback_parameter_t parameter, SP_time_t delay);
void callback_expire();

#endif	// UTIL_CALLBACK_H
