/**
 * @file tree-topology_migration.h
 *
 * @brief Tree-topology migration algorithm (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: tree-topology_migration.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef TREE_TOPOLOGY_MIGRATION_H
#define TREE_TOPOLOGY_MIGRATION_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

void tree_topology_migration_start(SP_SERVICE_service_t* service);
void tree_topology_migration_trigger(SP_SERVICE_service_t* service);

#endif	// TREE_TOPOLOGY_MIGRATION_H
